### Enumeration

# Gio DBusMessageFlags

since: 2.26

#### Declaration

    flags Gio.DBusMessageFlags

#### Description

Message flags used in `GDBusMessage`.

Available since: 2.26

#### Members

`G_DBUS_MESSAGE_FLAGS_NONE`

  No flags set.

  - Value: `0`
  - Available since: 2.26
`G_DBUS_MESSAGE_FLAGS_NO_REPLY_EXPECTED`

  A reply is not expected.

  - Value: `1`
  - Available since: 2.26
`G_DBUS_MESSAGE_FLAGS_NO_AUTO_START`

  The bus must not launch an owner for the destination name in response to this message.

  - Value: `2`
  - Available since: 2.26
`G_DBUS_MESSAGE_FLAGS_ALLOW_INTERACTIVE_AUTHORIZATION`

  If set on a method call, this flag means that the caller is prepared to wait for interactive authorization. Since 2.46.

  - Value: `4`
  - Available since: 2.26